Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question-state.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question-state.models.ts	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question-state.models.ts	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -34,5 +34,5 @@
   public correctAnswer!: boolean;
   public createdOn!: moment.Moment;
-  public upvotesCount!: number;
+  public votesCount!: number;
   public studentResponse!: AnswerStudentQuestionStateResponse;
   public answerResponsesResponse!: AnswerResponseQuestionStateResponse[];
Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.mapper.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.mapper.ts	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.mapper.ts	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -51,5 +51,5 @@
           x.correctAnswer,
           moment(x.createdOn),
-          x.upvotesCount,
+          x.votesCount,
           answerStudent,
           answerResponses
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.html	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.html	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -14,5 +14,5 @@
       <mat-card-content>
         <div fxLayout="row wrap" fxLayoutAlign="space-around none">
-          <app-vote [voteCount]="answer.upvotesCount" [correct]="answer.correctAnswer" fxFlex="6%"></app-vote>
+          <app-vote [voteCount]="answer.votesCount" [correct]="answer.correctAnswer" fxFlex="6%"></app-vote>
           <div fxFlex="92%">
             <app-text-editor
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-view-models.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-view-models.models.ts	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-view-models.models.ts	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -32,5 +32,5 @@
     public correctAnswer: boolean,
     public createdOn: moment.Moment,
-    public upvotesCount: number,
+    public votesCount: number,
     public student: AnswerStudentQuestionStateViewModel,
     public answerResponses: AnswerResponseQuestionStateViewModel[]
Index: src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -54,5 +54,5 @@
                     var answerStudent = new AnswerStudentQuestionStateResponse(x.StudentDto.Id, x.StudentDto.Uid, x.StudentDto.Index, x.StudentDto.ImageUrl, x.StudentDto.Reputation);
 
-                    return new AnswerQuestionStateResponse(x.Id, x.Uid, x.Text, x.CorrectAnswer, x.CreatedOn, x.UpvotesCount, answerStudent, answerResponses);
+                    return new AnswerQuestionStateResponse(x.Id, x.Uid, x.Text, x.CorrectAnswer, x.CreatedOn, x.VotesCount, answerStudent, answerResponses);
                 });
             }
Index: src/FinkiChattery/FinkiChattery.Contracts/Questioning/GetQuestionState/QuestionStateResponse.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Contracts/Questioning/GetQuestionState/QuestionStateResponse.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Contracts/Questioning/GetQuestionState/QuestionStateResponse.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -89,5 +89,5 @@
     public class AnswerQuestionStateResponse
     {
-        public AnswerQuestionStateResponse(long id, Guid uid, string text, bool correctAnswer, DateTime createdOn, long upvotesCount, AnswerStudentQuestionStateResponse studentResponse, IEnumerable<AnswerResponseQuestionStateResponse> answerResponsesResponse)
+        public AnswerQuestionStateResponse(long id, Guid uid, string text, bool correctAnswer, DateTime createdOn, long votesCount, AnswerStudentQuestionStateResponse studentResponse, IEnumerable<AnswerResponseQuestionStateResponse> answerResponsesResponse)
         {
             Id = id;
@@ -96,5 +96,5 @@
             CorrectAnswer = correctAnswer;
             CreatedOn = createdOn;
-            UpvotesCount = upvotesCount;
+            VotesCount = votesCount;
             StudentResponse = studentResponse;
             AnswerResponsesResponse = answerResponsesResponse;
@@ -107,5 +107,5 @@
         public bool CorrectAnswer { get; }
         public DateTime CreatedOn { get; }
-        public long UpvotesCount { get; }
+        public long VotesCount { get; }
         public AnswerStudentQuestionStateResponse StudentResponse { get; }
         public IEnumerable<AnswerResponseQuestionStateResponse> AnswerResponsesResponse { get; }
Index: src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -75,4 +75,5 @@
     <Folder Include="dbo\Tables\QuestionCategory" />
     <Folder Include="Snapshots" />
+    <Folder Include="dbo\Tables\Vote" />
   </ItemGroup>
   <ItemGroup>
@@ -81,5 +82,4 @@
     <Build Include="dbo\Tables\StudentTeam.sql" />
     <Build Include="dbo\Tables\TeacherTeam.sql" />
-    <Build Include="dbo\Tables\Upvote.sql" />
     <Build Include="dbo\Tables\User\AspNetRoleClaims.sql" />
     <Build Include="dbo\Tables\User\AspNetRoles.sql" />
@@ -100,4 +100,5 @@
     <Build Include="dbo\Tables\QuestionCategory\QuestionCategory.sql" />
     <None Include="dbo\Tables\QuestionCategory\QuestionCategory.Debug.Seed.sql" />
+    <Build Include="dbo\Tables\Vote\Vote.sql" />
   </ItemGroup>
   <ItemGroup>
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer/Answer.Debug.Seed.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer/Answer.Debug.Seed.sql	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer/Answer.Debug.Seed.sql	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -12,5 +12,5 @@
             (3, N'cee193c3-9d36-4ed8-81b2-15eb4ff305f1', N'Answer 3', 2, 1, 1, GETUTCDATE(), 5),
             (4, N'dee193c3-9d36-4ed8-81b2-15eb4ff305f1', N'Answer 4', 2, 1, 0, GETUTCDATE(), 5)
-    ) AS temp ([Id], [Uid], [Text], [QuestionFk], [StudentFk], [CorrectAnswer], [CreatedOn], [UpvotesCount])
+    ) AS temp ([Id], [Uid], [Text], [QuestionFk], [StudentFk], [CorrectAnswer], [CreatedOn], [VotesCount])
     ) AS S
     ON T.[ID] = S.[ID]
@@ -21,5 +21,5 @@
                    T.[StudentFk] = S.[StudentFk],
                    T.[CorrectAnswer] = S.[CorrectAnswer],
-                   T.[UpvotesCount] = S.[UpvotesCount]
+                   T.[VotesCount] = S.[VotesCount]
     WHEN NOT MATCHED THEN
         INSERT
@@ -32,8 +32,8 @@
             [CorrectAnswer],
             [CreatedOn],
-            [UpvotesCount]
+            [VotesCount]
         )
         VALUES
-        (S.[Id], S.[Uid], S.[Text], S.[QuestionFk], S.[StudentFk], S.[CorrectAnswer], S.[CreatedOn], S.[UpvotesCount]);
+        (S.[Id], S.[Uid], S.[Text], S.[QuestionFk], S.[StudentFk], S.[CorrectAnswer], S.[CreatedOn], S.[VotesCount]);
     SET IDENTITY_INSERT [dbo].[Answer] OFF
 END
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer/Answer.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer/Answer.sql	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer/Answer.sql	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -7,5 +7,5 @@
     [CorrectAnswer] BIT              NOT NULL,
     [CreatedOn]     SMALLDATETIME    NOT NULL,
-    [UpvotesCount] BIGINT NOT NULL DEFAULT 0, 
+    [VotesCount] BIGINT NOT NULL DEFAULT 0, 
     CONSTRAINT [PK_Answer] PRIMARY KEY CLUSTERED ([Id] ASC),
     CONSTRAINT [FK_Answer_Question_QuestionFk] FOREIGN KEY ([QuestionFk]) REFERENCES [dbo].[Question] ([Id]),
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Upvote.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Upvote.sql	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ 	(revision )
@@ -1,20 +1,0 @@
-﻿CREATE TABLE [dbo].[Upvote] (
-    [Id]        BIGINT           IDENTITY (1, 1) NOT NULL,
-    [Uid]       UNIQUEIDENTIFIER NOT NULL,
-    [StudentFk] BIGINT           NOT NULL,
-    [AnswerFk]  BIGINT           NOT NULL,
-    CONSTRAINT [PK_Upvote] PRIMARY KEY CLUSTERED ([Id] ASC),
-    CONSTRAINT [FK_Upvote_Answer_AnswerFk] FOREIGN KEY ([AnswerFk]) REFERENCES [dbo].[Answer] ([Id]),
-    CONSTRAINT [FK_Upvote_Student_StudentFk] FOREIGN KEY ([StudentFk]) REFERENCES [dbo].[Student] ([Id])
-);
-
-
-GO
-CREATE NONCLUSTERED INDEX [IX_Upvote_AnswerFk]
-    ON [dbo].[Upvote]([AnswerFk] ASC);
-
-
-GO
-CREATE NONCLUSTERED INDEX [IX_Upvote_StudentFk]
-    ON [dbo].[Upvote]([StudentFk] ASC);
-
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Vote/Vote.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Vote/Vote.sql	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Vote/Vote.sql	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -0,0 +1,21 @@
+﻿CREATE TABLE [dbo].[Vote] (
+    [Id]        BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]       UNIQUEIDENTIFIER NOT NULL,
+    [StudentFk] BIGINT           NOT NULL,
+    [AnswerFk]  BIGINT           NOT NULL,
+    [VoteType] TINYINT           NOT NULL, 
+    CONSTRAINT [PK_Vote] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Vote_Answer_AnswerFk] FOREIGN KEY ([AnswerFk]) REFERENCES [dbo].[Answer] ([Id]),
+    CONSTRAINT [FK_Vote_Student_StudentFk] FOREIGN KEY ([StudentFk]) REFERENCES [dbo].[Student] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Vote_AnswerFk]
+    ON [dbo].[Vote]([AnswerFk] ASC);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Vote_StudentFk]
+    ON [dbo].[Vote]([StudentFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerConfig.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerConfig.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -22,5 +22,5 @@
             builder.Property(x => x.CorrectAnswer).HasColumnName(@"CorrectAnswer").HasColumnType("bit").IsRequired();
             builder.Property(x => x.CreatedOn).HasColumnName(@"CreatedOn").HasColumnType("smalldatetime").IsRequired();
-            builder.Property(x => x.UpvotesCount).HasColumnName(@"UpvotesCount").HasColumnType("bigint").IsRequired().HasDefaultValue(0);
+            builder.Property(x => x.VotesCount).HasColumnName(@"VotesCount").HasColumnType("bigint").IsRequired().HasDefaultValue(0);
 
             builder.HasOne(x => x.Question).WithMany(x => x.Answers).HasForeignKey(x => x.QuestionFk).OnDelete(DeleteBehavior.Restrict);
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/UpvoteConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/UpvoteConfig.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ 	(revision )
@@ -1,31 +1,0 @@
-﻿using Microsoft.EntityFrameworkCore;
-using Microsoft.EntityFrameworkCore.Metadata.Builders;
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using FinkiChattery.Persistence.Models;
-
-namespace FinkiChattery.Persistence.Configurations
-{
-    public class UpvoteConfig : BaseConfig<Upvote>
-    {
-        public UpvoteConfig(string schema) : base(schema)
-        {
-        }
-
-        public override void Configure(EntityTypeBuilder<Upvote> builder)
-        {
-            base.Configure(builder);
-
-            builder.ToTable("Upvote", Schema);
-
-            builder.Property(x => x.StudentFk).HasColumnName(@"StudentFk").HasColumnType("bigint").IsRequired();
-            builder.Property(x => x.AnswerFk).HasColumnName(@"AnswerFk").HasColumnType("bigint").IsRequired();
-
-            builder.HasOne(x => x.Student).WithMany().HasForeignKey(x => x.StudentFk).OnDelete(DeleteBehavior.Restrict);
-            builder.HasOne(x => x.Answer).WithMany(x => x.Upvotes).HasForeignKey(x => x.AnswerFk).OnDelete(DeleteBehavior.Restrict);
-        }
-    }
-}
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/VoteConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/VoteConfig.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
+++ src/FinkiChattery/FinkiChattery.Persistence/Configurations/VoteConfig.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -0,0 +1,27 @@
+﻿using FinkiChattery.Persistence.Models;
+using Microsoft.EntityFrameworkCore;
+using Microsoft.EntityFrameworkCore.Metadata.Builders;
+
+namespace FinkiChattery.Persistence.Configurations
+{
+    public class VoteConfig : BaseConfig<Vote>
+    {
+        public VoteConfig(string schema) : base(schema)
+        {
+        }
+
+        public override void Configure(EntityTypeBuilder<Vote> builder)
+        {
+            base.Configure(builder);
+
+            builder.ToTable("Vote", Schema);
+
+            builder.Property(x => x.StudentFk).HasColumnName(@"StudentFk").HasColumnType("bigint").IsRequired();
+            builder.Property(x => x.AnswerFk).HasColumnName(@"AnswerFk").HasColumnType("bigint").IsRequired();
+            builder.Property(x => x.VoteType).HasColumnName(@"VoteType").HasColumnType("tinyint").IsRequired();
+
+            builder.HasOne(x => x.Student).WithMany().HasForeignKey(x => x.StudentFk).OnDelete(DeleteBehavior.Restrict);
+            builder.HasOne(x => x.Answer).WithMany(x => x.Votes).HasForeignKey(x => x.AnswerFk).OnDelete(DeleteBehavior.Restrict);
+        }
+    }
+}
Index: src/FinkiChattery/FinkiChattery.Persistence/Context/ApplicationDbContext.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Context/ApplicationDbContext.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Persistence/Context/ApplicationDbContext.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -23,5 +23,5 @@
         public DbSet<TeacherTeam> TeacherTeams { get; set; }
         public DbSet<Team> Teams { get; set; }
-        public DbSet<Upvote> Upvotes { get; set; }
+        public DbSet<Vote> Votes { get; set; }
 
         protected override void OnModelCreating(ModelBuilder builder)
@@ -42,5 +42,5 @@
             builder.ApplyConfiguration(new TeacherTeamConfig(schema));
             builder.ApplyConfiguration(new TeamConfig(schema));
-            builder.ApplyConfiguration(new UpvoteConfig(schema));
+            builder.ApplyConfiguration(new VoteConfig(schema));
         }
     }
Index: src/FinkiChattery/FinkiChattery.Persistence/Helpers/Enums/VoteType.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Helpers/Enums/VoteType.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
+++ src/FinkiChattery/FinkiChattery.Persistence/Helpers/Enums/VoteType.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -0,0 +1,8 @@
+﻿namespace FinkiChattery.Persistence.Helpers
+{
+    public enum VoteType
+    {
+        Upvote,
+        Downvote
+    }
+}
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -20,7 +20,7 @@
         public DateTime CreatedOn { get; set; }
 
-        public long UpvotesCount { get; set; }
+        public long VotesCount { get; set; }
 
-        public virtual ICollection<Upvote> Upvotes { get; set; }
+        public virtual ICollection<Vote> Votes { get; set; }
 
         public virtual ICollection<AnswerResponse> AnswerResponses { get; set; }
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Upvote.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Upvote.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace FinkiChattery.Persistence.Models
-{
-    public class Upvote : BaseEntity
-    {
-        public long StudentFk { get; set; }
-
-        public virtual Student Student { get; set; }
-
-        public long AnswerFk { get; set; }
-
-        public virtual Answer Answer { get; set; }
-    }
-}
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Vote.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Vote.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Vote.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -0,0 +1,17 @@
+﻿using FinkiChattery.Persistence.Helpers;
+
+namespace FinkiChattery.Persistence.Models
+{
+    public class Vote : BaseEntity
+    {
+        public long StudentFk { get; set; }
+
+        public virtual Student Student { get; set; }
+
+        public long AnswerFk { get; set; }
+
+        public virtual Answer Answer { get; set; }
+
+        public VoteType VoteType { get; set; }
+    }
+}
Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/Question/QuestionStateDto.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/Question/QuestionStateDto.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/Question/QuestionStateDto.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -84,5 +84,5 @@
     public class AnswerQuestionStateDto
     {
-        public AnswerQuestionStateDto(long id, Guid uid, string text, bool correctAnswer, DateTime createdOn, long upvotesCount, AnswerStudentQuestionStateDto studentDto, IEnumerable<AnswerResponseQuestionStateDto> answerResponsesDto)
+        public AnswerQuestionStateDto(long id, Guid uid, string text, bool correctAnswer, DateTime createdOn, long votesCount, AnswerStudentQuestionStateDto studentDto, IEnumerable<AnswerResponseQuestionStateDto> answerResponsesDto)
         {
             Id = id;
@@ -91,5 +91,5 @@
             CorrectAnswer = correctAnswer;
             CreatedOn = createdOn;
-            UpvotesCount = upvotesCount;
+            VotesCount = votesCount;
             StudentDto = studentDto;
             AnswerResponsesDto = answerResponsesDto;
@@ -101,5 +101,5 @@
         public bool CorrectAnswer { get; }
         public DateTime CreatedOn { get; }
-        public long UpvotesCount { get; }
+        public long VotesCount { get; }
         public AnswerStudentQuestionStateDto StudentDto { get; }
         public IEnumerable<AnswerResponseQuestionStateDto> AnswerResponsesDto { get; }
Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Implementations/QuestionRepo.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Implementations/QuestionRepo.cs	(revision 77cfe5bfc33445811364cb7b87f56fcdeceedc1e)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Implementations/QuestionRepo.cs	(revision ad0fcd30ce5ab16c07db1be60f8ef94fd38446b8)
@@ -80,5 +80,5 @@
                                                     y.CorrectAnswer,
                                                     y.CreatedOn,
-                                                    y.UpvotesCount,
+                                                    y.VotesCount,
                                                     new AnswerStudentQuestionStateDto(
                                                         y.Student.Id,
